com.io7m.r2.core.debug

## Class R2DebugCubeInstance.Builder

- java.lang.Object
- - com.io7m.r2.core.debug.R2DebugCubeInstance.Builder

- Enclosing class:
    R2DebugCubeInstance

      public static final class R2DebugCubeInstance.Builder
      extends Object

  Builds instances of type `R2DebugCubeInstance`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DebugCubeInstance` | `build()` Builds a new `R2DebugCubeInstance`.
    `R2DebugCubeInstance.Builder` | `from(R2DebugCubeInstanceType instance)` Fill a builder with attribute values from the provided `R2DebugCubeInstanceType` instance.
    `R2DebugCubeInstance.Builder` | `setColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> color)` Initializes the value for the `color` attribute.
    `R2DebugCubeInstance.Builder` | `setTransform(R2TransformReadableType transform)` Initializes the value for the `transform` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2DebugCubeInstance.Builder from(R2DebugCubeInstanceType instance)

      Fill a builder with attribute values from the provided `R2DebugCubeInstanceType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setTransform

          public final R2DebugCubeInstance.Builder setTransform(R2TransformReadableType transform)

      Initializes the value for the `transform` attribute.
      Parameters:
        `transform` - The value for transform
      Returns:
        `this` builder for use in a chained invocation

    - #### setColor

          public final R2DebugCubeInstance.Builder setColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> color)

      Initializes the value for the `color` attribute.
      Parameters:
        `color` - The value for color
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2DebugCubeInstance build()

      Builds a new `R2DebugCubeInstance`.
      Returns:
        An immutable instance of R2DebugCubeInstance
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com